<template>
    
    <div class="col s12 m7">
        <h2 class="header">Commentaire List</h2>
        <div v-for="comment of commentaires" :key="comment.id">
    <div class="card">

      <div class="card-stacked">
        <div class="card-content">
            <div class="flex">
                <p>{{ comment.author }}</p>
                <p>{{ comment.date_commentaire}}</p>
            </div>
            <p>{{ comment.commentaire }}</p>
        </div>

      </div>
    </div>
  </div>


    </div>


</template>

<script setup lang="ts">
import type { Commentaire } from '@/entities';
import { fetchCommentaires } from '@/service/comentaire-service';
import { onMounted, ref } from 'vue';


const commentaires = ref<Commentaire[]>([]);

onMounted(async()=>{
    commentaires.value = await fetchCommentaires();
})

</script>